AUTHOR = 'maxime alves'
SITENAME = 'm34f'
SITEURL = ""

PATH = "content"

TIMEZONE = 'Europe/Paris'

DEFAULT_LANG = 'fr'
DEFAULT_LOCALE = 'fr_FR.UTF-8'

# Feed generation is usually not desired when developing
FEED_ALL_ATOM = None
CATEGORY_FEED_ATOM = None
TRANSLATION_FEED_ATOM = None
AUTHOR_FEED_ATOM = None
AUTHOR_FEED_RSS = None

# Blogroll
LINKS = (
    ("Pelican", "https://getpelican.com/"),
    ("Papyrus", "https://github.com/aleylara/Papyrus"),
    ("Jinja2", "https://palletsprojects.com/p/jinja/"),
    ("Python", "https://www.python.org/"),
    ("Debian", "https://www.debian.org/"),
    ("Alpine", "https://alpinelinux.org/"),
    ("Nginx", "https://nginx.org/"),
    ("Libvirt", "https://libvirt.org/"),
)

# Social widget
SOCIAL = (
    ("You can add links in your config file", "#"),
    ("Another social link", "#"),
)

DEFAULT_PAGINATION = 10

# Uncomment following line if you want document-relative URLs when developing
# RELATIVE_URLS = True
THEME = "./theme"
THEME_STATIC_PATHS = ['static']
PLUGIN_PATHS = ['pelican-plugins', 'pelican-custom-plugins']
PLUGINS = ['readtime','neighbors'
,'pelican-toc'
, 'jsonresume'
, 'i18n_subsites'
]

PAGINATED_TEMPLATES = {'index':None,'tag':None,'category':None,'author':None,'archives':24}
# SEARCH_MODE = "output"
# SEARCH_HTML_SELECTOR = "main"
DIRECT_TEMPLATES = (('index','search','tags','categories','archives'))
STORK_INPUT_OPTIONS = {
    'html_selector': 'main',
}
DISPLAY_PAGES_ON_MENU = True

I18N_SUBSITES = {
    'fr': {
        'SITEURL': 'http://127.0.0.1:8000/fr/',
        'LOCALE': 'fr_FR.UTF-8',
        'THEME_STATIC_DIR': '../theme',
    },
    'en': {
        'SITEURL': 'http://127.0.0.1:8000/en/',
        'LOCALE': 'en_US.UTF-8',
        'THEME_STATIC_DIR': '../theme',
    }
}
I18N_TEMPLATES_LANG = ['en','fr']

JINJA_ENVIRONMENT = {
    'extensions': ['jinja2.ext.i18n', 'jinja2.ext.debug']
}
